---
title: "Get Bank Accounts"
canonical_url: "https://docs.stablegate.com/docs/apiref/bank-accounts/get-bank-accounts"
---
# Get Bank Accounts

::api-operation{color="success" endpoint="/v1/customers/{customer_uuid}/bank-accounts/" method="GET"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Path parameters

::field-group
:field[Customer UUID]{name="customer_uuid" type="string<uuid>" :required="true"}
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string | null"}:field{name="iban" type="string | null"}:field{name="account_number" type="string | null"}:field{name="supported_rails" type="string[] | null"}:field{name="bank_routing_number" type="string | null"}:field{name="bank_city" type="string | null"}:field{name="bank_postal_code" type="string | null"}:field{name="bank_region" type="string | null"}:field{name="holder_country" type="string | null"}:field{name="holder_city" type="string | null"}:field{name="holder_street" type="string | null"}:field{name="holder_postal_code" type="string | null"}:field{name="holder_region" type="string | null"}:field{name="bank_name" type="string | null"}:field{name="bank_code" type="string | null"}:field{name="bank_country" type="string | null"}:field{name="bank_address" type="string | null"}:field{name="holder_name" type="string | null"}:field{name="created_at" type="string<date-time>" :required="true"}:field{name="updated_at" type="string<date-time>" :required="true"}
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{method="GET" path="/v1/customers/CUSTOMER_UUID/bank-accounts/"}
```bash
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/bank-accounts/ \
  --header 'X-Api-Key: YOUR_API_KEY'
```
::

::code-group
```json [200]
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "iban": "string",
    "account_number": "string",
    "supported_rails": [
      "sepa"
    ],
    "bank_routing_number": "string",
    "bank_city": "string",
    "bank_postal_code": "string",
    "bank_region": "string",
    "holder_country": "string",
    "holder_city": "string",
    "holder_street": "string",
    "holder_postal_code": "string",
    "holder_region": "string",
    "bank_name": "string",
    "bank_code": "string",
    "bank_country": "string",
    "bank_address": "string",
    "holder_name": "string",
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
